Subject: regarding kernel access of bad area

From: bharat <[email-masked]>
Date: Tue, 15 Jun 2004 11:05:27 +0530

hi everyone
                   i am trying to port hardhat linux for our custome hardware
i donot use a bootloader instead i used uncompressed(vmlinux) image and a
self made utility which download the kernel  into  the ram and transfer the
control to it kernel gets executed  and mount the NFS file system from my
host as soon as it tries to execute the /sbin/init or /bin/init or any other
user program init it gives the following error
 Kernel panic: kernel access of bad area pc c0014198 lr 1 addr
ess FFFFB104 tsk swapper/0   In swapper task - not syncing
what should i do
bye
bharat

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/